require "spec_helper"

describe SpeachbaloonsController do
  describe "routing" do

    it "routes to #index" do
      get("/speachbaloons").should route_to("speachbaloons#index")
    end

    it "routes to #new" do
      get("/speachbaloons/new").should route_to("speachbaloons#new")
    end

    it "routes to #show" do
      get("/speachbaloons/1").should route_to("speachbaloons#show", :id => "1")
    end

    it "routes to #edit" do
      get("/speachbaloons/1/edit").should route_to("speachbaloons#edit", :id => "1")
    end

    it "routes to #create" do
      post("/speachbaloons").should route_to("speachbaloons#create")
    end

    it "routes to #update" do
      put("/speachbaloons/1").should route_to("speachbaloons#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/speachbaloons/1").should route_to("speachbaloons#destroy", :id => "1")
    end

  end
end
