class Artist < ActiveRecord::Base
  belongs_to :author
  has_many :original_pictures
  
  def self.find_by_author author
    Artist.find( :first, :conditions => ['author_id = ?', author.id])
  end
  
end
