require "spec_helper"

describe OriginalLicensesController do
  describe "routing" do

    it "routes to #index" do
      get("/original_licenses").should route_to("original_licenses#index")
    end

    it "routes to #new" do
      get("/original_licenses/new").should route_to("original_licenses#new")
    end

    it "routes to #show" do
      get("/original_licenses/1").should route_to("original_licenses#show", :id => "1")
    end

    it "routes to #edit" do
      get("/original_licenses/1/edit").should route_to("original_licenses#edit", :id => "1")
    end

    it "routes to #create" do
      post("/original_licenses").should route_to("original_licenses#create")
    end

    it "routes to #update" do
      put("/original_licenses/1").should route_to("original_licenses#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/original_licenses/1").should route_to("original_licenses#destroy", :id => "1")
    end

  end
end
